QGIS 3 crashes when assigning SLD style files to Mapinfo Tab files, while 2.18 assigns same files 

correctly without issue

2018-03-10 10:07 AM - Leigh Bettenay

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26293

Description

My installation of QGIS 3 Girona crashes on assigning "SLD" style files to mapinfo .TAB files. I have tried several different ones and also

reproduced the issue on a colleague's computer. The same style files are readily opened and assigned without error by QGIS 2.18.

The crash happens after a short period and it closes the program completely without any message. I don't have the expertise with the

program to locate or report any log or error file it may produce.

I have attached a zip file with several examples, and some notes about my installation and which fields in the files should be assigned the

layer style.

I trust this is sufficient to reproduce and evaluate the issue but will assist with more information if contacted and guided through what is

required.

History

#1 - 2018-03-11 04:33 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Works for me on Linux (I just tried to load the SLDs on the two layers and pan zoom in/out for a while)

I've also tried on win 10 64bit with a custom master build without issues (no crashes).

Can you also attach a test project? There might be subtle differences about how you configured the project.

In any event, without precise indications about how to trigger the crash, I just tested some zoom and pan, if there are any actions that trigger the crash,

please list them as well.

Can you test on win 10? (it might be specific to win 7 even if I doubt it)

#2 - 2018-03-12 01:34 AM - Leigh Bettenay

- File Qgis_test.qgs added

All very strange. I tried also on my Windows 10 laptop (Surface pro, 16gb ram). Basically unzipped the file I sent you into a desktop directory and and

opened just one file- the geol interp one. Saved the project with CRS set to 28350 (though it doesn't matter). Still crashed, though a bit slower in doing so

(Froze for a while then reported message "qgis-bin-g7.7.0 exe has stopped working".

Project file is attached.
#3 - 2018-03-17 03:00 AM - Leigh Bettenay

- Status changed from Feedback to Open

I'm not sure of the protocol here- e.g. if I'm supposed to do anything more, so I have changed the status back to to Open. 

I've had someone else test this and he gets the same behavior as me. Cheers

#4 - 2018-03-20 07:51 AM - Leigh Bettenay

Ok I've downloaded yesterday's nightly version of QGIS 3.1 from https://qgis.org/downloads/weekly/QGIS-OSGeo4W-3.1.0-12-Setup-x86_64.exe.

This version seems to import the style file for lines correctly, but still crashes with the style file for the polygon layer.

The relevant files are: "WA 500k geol interp-Forrestania subset Mar 16.tab" (the mapinfo TAB file of polygons)

and

"SLDtest_GM export for WA_Geol500kInterp(2016).sld" (the style file written from Global Mapper).

QGIS reads this file correctly and displays the correct colors and codes in the table but crashes when applying these to the map. Could it be a number of

codes issue?

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2018-11-12 09:37 AM - Leigh Bettenay

The issues seems to have been resolved in QGIS 3.4.1. I checked successfully on 2 different Windows 10 computers.

Thanks and best regards. leigh

#7 - 2018-11-12 09:38 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

QGis 3 style file issue examples-WA_500K_Forrestania subset.zip 848 KB 2018-03-10 Leigh Bettenay

Qgis_test.qgs 15.1 KB 2018-03-12 Leigh Bettenay
